/*
   Biribot

      Module:  Front wheel

         Wheel diameter:      30.0 mm
         Wheel size:          14.0 mm
         Wheel internal hole:  9.0 mm   

*/
include <params.scad>



//To test the module, uncomment next line
//Front_wheel();

module Front_wheel()
{
   difference()
   {
      // Wheel
      cylinder(r=fr_wheel_diam/2,h=fr_height,$fn=resolution);
      // Internal hole 
      cylinder(r=fr_hole/2,h=20,$fn=resolution);

      // A way to fit rubber rings
      rotate_extrude(convexity = 10, $fn=resolution)
      translate([15, 4, 0])
      circle(r = 1.5, $fn = resolution);

      rotate_extrude(convexity = 10, $fn=resolution)
      translate([15, 10, 0])
      circle(r = 1.5, $fn = resolution);
   }
}
 
